Bug 461066 - Lots of warnings when used with strict and -w
Lots of warnings when used with strict and -w
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-QWizard (Show other bugs)
8
All Linux
medium Severity low
: ---
: ---
Assigned To: Wes Hardaker
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-03 18:19 EDT by Penelope Fudd
Modified: 2008-10-15 22:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 22:04:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test code (741 bytes, application/x-perl)
2008-09-03 18:19 EDT, Penelope Fudd
no flags Details
Proposed patch (3.98 KB, patch)
2008-09-03 18:21 EDT, Penelope Fudd
no flags Details | Diff

  None (edit)
Description Penelope Fudd 2008-09-03 18:19:18 EDT
Created attachment 315699 [details]
Test code

Description of problem:
Running the example code from the Qwizard man page causes numerous warnings of operations with undefined variables.

Version-Release number of selected component (if applicable):
perl-QWizard-3.14-1.fc8

How reproducible:
Every time

Steps to Reproduce:
1. man perl::QWizard | col -b > testit.pl
2. Remove everything but the example at the top
3. Put "#!/usr/bin/perl -w\nuse strict;" at the top
4. Run it
  
Actual results:
2 pages of warnings, but it works

Expected results:
No warnings, and it works

Additional info:
I've patched all but one error, but haven't done extensive testing.
Comment 1 Penelope Fudd 2008-09-03 18:21:16 EDT
Created attachment 315700 [details]
Proposed patch

This adds checks for undefined values, but I don't have in-depth knowledge of this code, so it could be causing other problems.
Comment 2 Penelope Fudd 2008-09-03 18:28:51 EDT
The final error occurs when you quit:

(in cleanup) FATAL PROBLEM: Your widget generator "QWizard::Generator::Gtk2" doesn't support the "DESTROY" function at /usr/lib/perl5/vendor_perl/5.8.8/QWizard/Generator.pm line 562 during global destruction.
Comment 3 Fedora Update System 2008-09-17 12:37:23 EDT
perl-QWizard-3.15-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/perl-QWizard-3.15-1.fc8
Comment 4 Fedora Update System 2008-09-24 20:02:18 EDT
perl-QWizard-3.15-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-QWizard'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8196
Comment 5 Fedora Update System 2008-10-15 22:04:54 EDT
perl-QWizard-3.15-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.